# This file is responsible for configuring your application
# and its dependencies with the aid of the Mix.Config module.
#
# This configuration file is loaded before any dependency and
# is restricted to this project.

# General application configuration
use Mix.Config

config :wiki,
  ecto_repos: [Wiki.Repo]

# Configures the endpoint
config :wiki, WikiWeb.Endpoint,
  url: [host: "localhost"],
  secret_key_base: "NAmmGcVuvhjH1c7Qh1ZSYdVwGuJKzJNBNIV5aOPduk/be7yV3cxjQAJ+ur8kHXTS",
  render_errors: [view: WikiWeb.ErrorView, accepts: ~w(html json), layout: false],
  pubsub_server: Wiki.PubSub,
  live_view: [signing_salt: "GHNEYNHx"]

# Configures Elixir's Logger
config :logger, :console,
  format: "$time $metadata[$level] $message\n",
  metadata: [:request_id]

# Use Jason for JSON parsing in Phoenix
config :phoenix, :json_library, Jason

# Import environment specific config. This must remain at the bottom
# of this file so it overrides the configuration defined above.
import_config "#{Mix.env()}.exs"
