defmodule Wiki.Content.PageLink do
  use Ecto.Schema
  import Ecto.Changeset

  schema "page_links" do
    belongs_to :from, Wiki.Content.Page
    belongs_to :to, Wiki.Content.Page
  end

  @doc false
  def changeset(page_link, attrs) do
    page_link
    |> cast(attrs, [:from_id, :to_id])
    |> validate_required([:from_id, :to_id])
  end
end
