defmodule Wiki.Repo.Migrations.CreatePages do
  use Ecto.Migration

  def change do
    create table(:pages) do
      add :title, :string
      add :encrypted_content, :binary
      add :encrypted_content_iv, :binary
      add :encrypted_content_tag, :binary
      add :encrypted_html, :binary
      add :encrypted_html_iv, :binary
      add :encrypted_html_tag, :binary
      add :user_id, references(:users, on_delete: :delete_all)

      timestamps()
    end

    create index(:pages, [:user_id])
    create unique_index(:pages, ["(lower(title))"], name: :pages_lowercase_title_index)
  end
end
